from dl.src.info.betavae import BetaVAEInfo
from dl.src.info.betatcvae import BetaTCVAEInfo
from dl.src.info.factorvae import FactorVAEInfo
from dl.src.info.clgvae import CLGVAEInfo
from dl.src.info.cmcs import CMCS_GT_Info
from dl.src.info.cmcs import CMCS_Super_Info
from dl.src.info.cmcs import CMCS_SemiSuper_Info




INFO={
    "betavae": BetaVAEInfo,
    "factorvae": FactorVAEInfo,
    "betatcvae": BetaTCVAEInfo,
    "clgvae": CLGVAEInfo,
    "cmcs_gt": CMCS_GT_Info,
    "cmcs_super": CMCS_Super_Info,
    "cmcs_semisuper": CMCS_SemiSuper_Info,
}

def write_info(args, results):
    info = INFO[args.model_type](args, **results)
    info.write_results()
    return